Commit 8057749d authored by Matthieu Vachon's avatar Matthieu Vachon

Git does not need to be in rhel package

 * Git is already installed from source, no need to install the package
   for it also. Moreover, it is not present in the other list of packages
   for platform other than rhel.
 * Added spec to prove it.
parent eadfec5e
......@@ -2,7 +2,7 @@
if platform_family?("rhel")
packages = %w{
libicu-devel libxslt-devel libyaml-devel libxml2-devel gdbm-devel libffi-devel zlib-devel openssl-devel
libyaml-devel readline-devel curl-devel openssl-devel pcre-devel git mysql-devel gcc-c++
libyaml-devel readline-devel curl-devel openssl-devel pcre-devel mysql-devel gcc-c++
ImageMagick-devel ImageMagick
}
else
......
......@@ -29,6 +29,10 @@ describe "gitlab::packages" do
expect(chef_run).to install_package(pkg)
end
end
it "should not install package git" do
expect(chef_run).to_not install_package("git")
end
end
end
......@@ -57,6 +61,10 @@ describe "gitlab::packages" do
expect(chef_run).to install_package(pkg)
end
end
it "should not install package git" do
expect(chef_run).to_not install_package("git")
end
end
end
end
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment